# Method: accounts.listChildAccounts

- [HTTP request](https://developers.google.com/adsense/management/reference/rest/v2/accounts/listChildAccounts#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/adsense/management/reference/rest/v2/accounts/listChildAccounts#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/adsense/management/reference/rest/v2/accounts/listChildAccounts#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/adsense/management/reference/rest/v2/accounts/listChildAccounts#body.request_body)
- [Response body](https://developers.google.com/adsense/management/reference/rest/v2/accounts/listChildAccounts#body.response_body)
  - [JSON representation](https://developers.google.com/adsense/management/reference/rest/v2/accounts/listChildAccounts#body.ListChildAccountsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/adsense/management/reference/rest/v2/accounts/listChildAccounts#body.aspect)
- [Try it!](https://developers.google.com/adsense/management/reference/rest/v2/accounts/listChildAccounts#try-it)

Lists all accounts directly managed by the given AdSense account.

### HTTP request

`GET https://adsense.googleapis.com/v2/{parent=accounts/*}:listChildAccounts`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The parent account, which owns the child accounts. Format: accounts/{account} |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` The maximum number of accounts to include in the response, used for paging. If unspecified, at most 10000 accounts will be returned. The maximum value is 10000; values above 10000 will be coerced to 10000. |
| `pageToken` | `string` A page token, received from a previous `accounts.listChildAccounts` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `accounts.listChildAccounts` must match the call that provided the page token. |

### Request body

The request body must be empty.

### Response body

Response definition for the child account list rpc.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "accounts": [ { object (`https://developers.google.com/adsense/management/reference/rest/v2/accounts#Account`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `accounts[]` | ``object (`https://developers.google.com/adsense/management/reference/rest/v2/accounts#Account`)`` The accounts returned in this list response. |
| `nextPageToken` | `string` Continuation token used to page through accounts. To retrieve the next page of the results, set the next request's "pageToken" value to this. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/adsense`
- `
  https://www.googleapis.com/auth/adsense.readonly`